Lists metric definitions for a product with pagination, sorting, and filtering.
GET
/api/v1/provision/admin/products/{productId}/metrics
const url = 'https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metrics?pageNumber=1&pageSize=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metrics?pageNumber=1&pageSize=100'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” productId
required
string format: uuid
Product id.
Query Parameters
Section titled “Query Parameters ” pageNumber
integer | string format: int32
pageSize
integer | string format: int32
sortOrder
string
filter
string
Responses
Section titled “ Responses ”OK
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
id
string format: uuid
productId
string format: uuid
metricName
string
name
string
description
null | string
metricType
integer
unit
string
category
string
numberFormat
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
id
string format: uuid
productId
string format: uuid
metricName
string
name
string
description
null | string
metricType
integer
unit
string
category
string
numberFormat
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "metricType": 1, "unit": "example", "category": "example", "numberFormat": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
id
string format: uuid
productId
string format: uuid
metricName
string
name
string
description
null | string
metricType
integer
unit
string
category
string
numberFormat
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "metricType": 1, "unit": "example", "category": "example", "numberFormat": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}